/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

//******************************************************************************
// Version history:
// 1.0 07/17             Initial version. (Nima Eskandari)
// 1.1 07/17             Added Comments. (Nima Eskandari)
//----------------------------------------------------------------------------
//   Designed 2017 by Texas Instruments
//
//   Nima Eskandari
//   Texas Instruments Inc.
//   August 2017
//   Built with CCS Version: Code Composer Studio v7
//******************************************************************************

/*
* This file was automatically generated.
* The memory sections should be quickly double checked.
* Some sections such ad Start,Finish, Termination and Length must be
* modified based on device datasheet. (These values aren't used by the
* default program.
* Created by: Nima Eskandari
*/

uint8_t flash[] =
{
//0xc000
0x21, 0x83, 0xB2, 0x40, 0x80, 0x5A, 0x20, 0x01, 
0xD2, 0xD3, 0x22, 0x00, 0xD2, 0xE3, 0x21, 0x00, 
0xB1, 0x40, 0x50, 0xC3, 0x00, 0x00, 0x91, 0x83, 
0x00, 0x00, 0x81, 0x93, 0x00, 0x00, 0xF6, 0x27, 
0xFA, 0x3F, 0x31, 0x40, 0x00, 0x04, 0xB0, 0x12, 
0x42, 0xC0, 0x0C, 0x43, 0xB0, 0x12, 0x00, 0xC0, 
0xB0, 0x12, 0x3C, 0xC0, 0x32, 0xD0, 0x10, 0x00, 
0xFD, 0x3F, 0x03, 0x43, 0x03, 0x43, 0xFF, 0x3F, 
0x03, 0x43, 0x1C, 0x43, 0x30, 0x41, 
//0xffde
0xFF, 0xFF, 0x34, 0xC0, 
//0xffe4
0x34, 0xC0, 0x34, 0xC0, 
//0xffea
0x34, 0xC0, 0x34, 0xC0, 0x34, 0xC0, 0x34, 0xC0, 
0x34, 0xC0, 0x34, 0xC0, 0x34, 0xC0, 0x34, 0xC0, 
0x34, 0xC0, 0x34, 0xC0, 0x22, 0xC0, 

};


const uint32_t flash_address[] =
{
0xc000, 0xffde, 0xffe4, 0xffea, 
};


const uint32_t flash_length_of_sections[] =
{
70, 4, 4, 22, 
};


const uint32_t flash_sections    = 4;

const uint32_t flash_termination = 0x00000000; /*Check device data sheet*/
const uint32_t flash_start       = 0x00000000; /*Check device data sheet*/
const uint32_t flash_finish      = 0x00000000; /*Check device data sheet*/
const uint32_t flash_length      = 0x00000000; /*Check device data sheet*/

